Ticket #74 (closed defect: fixed)

Opened 5 years ago

Last modified 4 years ago

void pointer size detection broken

Reported by: jesus Assigned to: jesus
Priority: major Milestone: Wangle
Component: noitd Severity: critical
Keywords: Cc:

Description

$ make
(cd src && make)
for dir in lua utils eventer udns modules noitedit man ; do  (cd $dir
&& make) ;  done
`liblua.lo' is up to date.
In file included from noit_hash.c:35:
../../src/noit_config.h:243:2: #error Unsupported size of void ptr
*** Error code 1

Change History

01/28/09 16:40:27 changed by jesus

The report was that changing the SIZEOF_VOID_P to SIZEOF_VOID__ fixed the issue. Yet, it breaks on my boxes. Need some more information.

01/31/09 00:30:05 changed by jesus

  • milestone set to Wangle.

05/15/09 13:15:59 changed by jesus

  • status changed from new to closed.
  • resolution set to worksforme.
  • severity set to critical.

05/25/10 13:11:12 changed by jesus

  • resolution changed from worksforme to fixed.

(In [1297]) patch from Piotr Sikora, fixes #74